<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_anaad_matomo($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-03-ana-ad'); // 元の値を保持

	/*** アクセス解析タグの出力 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['insert-matomo-tag'] ) && $value['insert-matomo-tag'] === '1' ) {
		$value['insert-matomo-tag'] = '1'; // 明示的に '1' を設定
	} else {
		$value['insert-matomo-tag'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** MatomoサイトURL ***/
	/* テキストフィールド（文字列） */
	if ( isset( $value['matomo-url'] ) && is_string( $value['matomo-url'] ) ) {
		$value['matomo-url'] = esc_url( $value['matomo-url'] ); // サニタイズ
	} else {
		if ( isset( $original_value['matomo-url'] ) ) {
			$value['matomo-url'] = $original_value['matomo-url']; // 元の値を保持
		} else {
			$value['matomo-url'] = '';
		}
	}

	/*** サイトID ***/
	/* テキストフィールド（文字列） */
	if ( isset( $value['matomo-site-id'] ) && is_string( $value['matomo-site-id'] ) ) {
		$value['matomo-site-id'] = sanitize_text_field( $value['matomo-site-id'] ); // サニタイズ
	} else {
		if ( isset( $original_value['matomo-site-id'] ) ) {
			$value['matomo-site-id'] = $original_value['matomo-site-id']; // 元の値を保持
		} else {
			$value['matomo-site-id'] = '';
		}
	}

	/*** ログインユーザーを除外 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['login-user-not-output-matomo_tag'] ) && $value['login-user-not-output-matomo_tag'] === '1' ) {
		$value['login-user-not-output-matomo_tag'] = '1'; // 明示的に '1' を設定
	} else {
		$value['login-user-not-output-matomo_tag'] = ''; // チェックされていない場合は空文字を設定
	}


	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}